%define major	2
%define libname	%mklibname seccomp %{major}
%define devname	%mklibname -d seccomp

Summary:	Enhanced seccomp library
Name:		libseccomp
Version:	2.5.3
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Libraries
Url:		https://github.com/seccomp/libseccomp
Source0:	https://github.com/seccomp/libseccomp/releases/download/v%{version}/%{name}-%{version}.tar.xz

%description
The libseccomp library provides an easy to use interface to the Linux Kernel's
syscall filtering mechanism, seccomp.  The libseccomp API allows an application
to specify which syscalls, and optionally which syscall arguments, the
application is allowed to execute, all of which are enforced by the Linux
Kernel.

%package -n	%{libname}
Summary:	Collection library providing GObject-based interfaces and classes
Group:		System/Libraries

%description -n %{libname}
The libseccomp library provides an easy to use interface to the Linux Kernel's
syscall filtering mechanism, seccomp.  The libseccomp API allows an application
to specify which syscalls, and optionally which syscall arguments, the
application is allowed to execute, all of which are enforced by the Linux
Kernel.

%package -n	%{devname}
Summary:	Development files used to build applications with libseccomp support
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	seccomp-devel = %{version}-%{release}
Provides:	libseccomp-devel = %{version}-%{release}

%description -n	%{devname}
The libseccomp library provides an easy to use interface to the Linux Kernel's
syscall filtering mechanism, seccomp.  The libseccomp API allows an application
to specify which syscalls, and optionally which syscall arguments, the
application is allowed to execute, all of which are enforced by the Linux
Kernel.

%prep
%setup -q


%build
%configure2_5x
%make

%install
mkdir -p "%{buildroot}/%{_libdir}"
mkdir -p "%{buildroot}/%{_includedir}"
mkdir -p "%{buildroot}/%{_mandir}"
%makeinstall_std
rm -f "%{buildroot}/%{_libdir}/libseccomp.la"
rm -f "%{buildroot}/%{_libdir}/libseccomp.a"

%files -n %{libname}
%{_libdir}/libseccomp.so.%{major}*

%files -n %{devname}
%{_bindir}/scmp_sys_resolver
%{_includedir}/seccomp.h
%{_includedir}/seccomp-syscalls.h
%{_libdir}/libseccomp.so
%{_libdir}/pkgconfig/libseccomp.pc
%{_mandir}/man3/*
%{_mandir}/man1/*


%changelog
* Thu Nov 18 2021 tex - 2.5.3-1pclos2021
- new version

* Wed Mar 04 2020 tex - 2.4.2-1pclos2020
- Update to 2.4.2
